petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESLineSearchView

Prints useful information about the line search

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchView(SNESLineSearch linesearch, PetscViewer viewer)

### Input Parameters

linesearch -linesearch context

Logically Collective on SNESLineSearch

### See Also

SNESLineSearchCreate()

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c

### Implementations

SNESLineSearchView_BT in src/snes/linesearch/impls/bt/linesearchbt.c
SNESLineSearchView_NLEQERR in src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages